Referenceregistries
Resolve a whole registry to pinned versions
Path Parameters
ownerHandle*string
Length
length <= 64slug*string
Length
length <= 64Query Parameters
tag?string
Default
"latest"excludes?array<>
Default
[]Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/registries/string/string/resolution"{ "skills": [ { "ref": "string", "name": "string", "version": "string", "sha256": "string", "deprecated": { "at": "2019-08-24T14:15:22Z", "message": "string" } } ]}{ "defined": true, "code": "UNAUTHORIZED", "status": 401, "message": "Authentication required or credentials invalid.", "data": null}{ "defined": true, "code": "NOT_FOUND", "status": 404, "message": "The requested resource does not exist.", "data": { "resource": "string" }}{ "defined": true, "code": "VALIDATION", "status": 422, "message": "The input failed domain validation.", "data": { "issues": [ { "path": "string", "message": "string" } ] }}{ "defined": true, "code": "RATE_LIMITED", "status": 429, "message": "Rate limit exceeded; retry later.", "data": { "retryAfterSeconds": -9007199254740991 }}